Name:     cryptsetup
Summary:  The cryptsetup
Version:  1.6.7
Release:  1
License:  GPL-2.0+, LGPL-2.1+
Group:    Base/Device Management
URL:      http://code.google.com/p/cryptsetup/
Source0:  %{name}-%{version}.tar.xz
Source1:  cryptsetup.manifest

BuildRequires: linux-kernel-headers
BuildRequires: device-mapper-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgcrypt-devel
BuildRequires: libuuid-devel
BuildRequires: util-linux
BuildRequires: popt-devel
BuildRequires: automake
BuildRequires: gettext

Requires:      libgpg-error
Requires:      device-mapper
Requires:      libgcrypt

%description
setup cryptographic volumes for dm-crypt (including LUKS extension)

%package devel
Summary:    The cryptsetup development package
Group:      Development/Libraries
License:    LGPL-2.1+
Requires:   %{name} = %{version}-%{release}

%description devel
cryptsetup development package

%package locale
License:    GPL-2.0+
Summary:    The cryptsetup locale package
Group:      Base/Device Management
Requires:   %{name} = %{version}-%{release}

%description locale
locale package for cryptsetup

%package doc 
License:    GPL-2.0+
Summary:    The cryptsetup doc package
Group:      Base/Device Management
Requires:   %{name} = %{version}-%{release}

%description doc
doc package for cryptsetup

%prep
%setup -q

%build
chmod +x ./autogen.sh
./autogen.sh --prefix=%{_prefix} -localedir=%{_datarootdir}/locale -libdir=%{_libdir}

make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
%make_install
cp -a %{SOURCE1} %{buildroot}%{_datadir}/binary_package_name.manifest

%clean

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%manifest %{_datadir}/binary_package_name.manifest
%license COPYING.GPL-2.0+
%{_libdir}/libcryptsetup.so
%{_libdir}/libcryptsetup.so.4
%{_libdir}/libcryptsetup.so.4.7.0
%{_sbindir}/cryptsetup
%{_sbindir}/veritysetup

%files devel
%license COPYING.LGPL-2.1+
%{_includedir}/libcryptsetup.h
%{_libdir}/libcryptsetup.so
%{_libdir}/pkgconfig/libcryptsetup.pc

%files locale
%license COPYING.GPL-2.0+
%{_datarootdir}/locale/cs/LC_MESSAGES/cryptsetup.mo
%{_datarootdir}/locale/de/LC_MESSAGES/cryptsetup.mo
%{_datarootdir}/locale/fi/LC_MESSAGES/cryptsetup.mo
%{_datarootdir}/locale/fr/LC_MESSAGES/cryptsetup.mo
%{_datarootdir}/locale/id/LC_MESSAGES/cryptsetup.mo
%{_datarootdir}/locale/it/LC_MESSAGES/cryptsetup.mo
%{_datarootdir}/locale/nl/LC_MESSAGES/cryptsetup.mo
%{_datarootdir}/locale/pl/LC_MESSAGES/cryptsetup.mo
%{_datarootdir}/locale/sv/LC_MESSAGES/cryptsetup.mo
%{_datarootdir}/locale/uk/LC_MESSAGES/cryptsetup.mo
%{_datarootdir}/locale/vi/LC_MESSAGES/cryptsetup.mo
%{_datarootdir}/locale/es/LC_MESSAGES/cryptsetup.mo

%files doc
%license COPYING.GPL-2.0+
%{_mandir}/man8/cryptsetup.8.gz
%{_mandir}/man8/veritysetup.8.gz
